Skip to main content
GET
/
billing
/
invoices
/
{invoice_id}
/
line-items
/
{line_item_id}
Get Invoice Line Item
curl --request GET \
  --url https://api.meow.com/v1/billing/invoices/{invoice_id}/line-items/{line_item_id} \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "product": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "default_price": "<string>",
    "description": "<string>"
  },
  "amount": "<string>",
  "quantity": "<string>",
  "price": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "discount": "<string>",
  "discount_description": "<string>"
}

Authorizations

x-api-key
string
header
required

Your Meow API key, sent in the x-api-key header for authentication.

Headers

x-entity-id
string<uuid>

Optional entity_id to scope requests to a specific entity.

Path Parameters

invoice_id
string<uuid>
required
line_item_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

The unique identifier for the line item.

product
Product · object
required

The product associated with the line item.

amount
string
required

The total amount for the line item.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
quantity
string
required

The quantity of the product.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
price
string
required

The price per unit of the product.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
created_at
string<date-time>
required

The timestamp when the line item was created.

description
string | null

A description of the line item.

discount
string | null

The discount applied to the line item.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
discount_description
string | null

A description of the discount.